Heartbleed OpenSSL Notification

Intel is aware of the recently disclosed vulnerability in certain versions of OpenSSL (dubbed ‘Heartbleed’).

We are currently investigating the implications of this vulnerability on Intel.com and systems companywide. All systems found to be vulnerable have been patched, and a new security certificate has been obtained for the affected servers.

We recommend you change your password for Intel log-in/sign-in accounts.

Intel takes its cyber security very seriously and monitors systems around the clock, seven days a week. Our customers’ personal information is—and will always be—a top security concern for us.

Change your password >